# 8. Mutation: "RasterMap" Oluştur

“Field” için “RasterMap” oluşturun.

{% hint style="info" %}
Çalışma süresi farklılık gösterir (4 saniyeden 5 dakikaya kadar), işlenecek görüntü sayısı ve tarla alanına bağlıdır ve “RasterMap” başarılı şekilde oluşturulduktan sonra Abonelik alınacaktır.
{% endhint %}

{% hint style="danger" %}
Kullanmanızı öneririz **eşzamansız** yaklaşımıyla RasterMap oluşturmak için
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateRasterMap {
  generateRasterAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<uydugörüntüsü_uuid_yer_tutucusu_2>"
    ]
    index: NDVI
  }) {    
    uuid
    fieldUuid
    isim
    centroid {
      latitude
      longitude
    }
    boundingBox
    geoHaritalar {
      kısaAd
      tamAd
      url
      classes
      hexColorCodes
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-belgeleri/geopard-api-isteklerine-genel-bakis/8.-mutation-rastermap-olustur.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
